Skip site navigation (1)Skip section navigation (2)
Date:      Fri, 15 Dec 2017 17:10:51 +0000 (UTC)
From:      Mark Johnston <markj@FreeBSD.org>
To:        src-committers@freebsd.org, svn-src-all@freebsd.org, svn-src-head@freebsd.org
Subject:   svn commit: r326877 - head/tests/sys/geom/class/nop
Message-ID:  <201712151710.vBFHApAi086155@repo.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: markj
Date: Fri Dec 15 17:10:51 2017
New Revision: 326877
URL: https://svnweb.freebsd.org/changeset/base/326877

Log:
  Skip gnop tests if the corresponding kernel module isn't available.
  
  Reviewed by:	asomers
  MFC after:	1 week
  Differential Revision:	https://reviews.freebsd.org/D13500

Modified:
  head/tests/sys/geom/class/nop/nop_test.sh

Modified: head/tests/sys/geom/class/nop/nop_test.sh
==============================================================================
--- head/tests/sys/geom/class/nop/nop_test.sh	Fri Dec 15 12:37:32 2017	(r326876)
+++ head/tests/sys/geom/class/nop/nop_test.sh	Fri Dec 15 17:10:51 2017	(r326877)
@@ -36,6 +36,7 @@ diskinfo_head()
 }
 diskinfo_body()
 {
+	load_gnop
 	us=$(alloc_md)
 	atf_check gnop create /dev/${us}
 	md_secsize=$(diskinfo ${us} | cut -wf 2)
@@ -62,6 +63,7 @@ io_head()
 }
 io_body()
 {
+	load_gnop
 	us=$(alloc_md)
 	atf_check gnop create /dev/${us}
 
@@ -87,6 +89,7 @@ size_head()
 }
 size_body()
 {
+	load_gnop
 	us=$(alloc_md)
 	for mediasize in 65536 524288 1048576; do
 		atf_check gnop create -s ${mediasize} /dev/${us}
@@ -111,6 +114,7 @@ stripesize_head()
 }
 stripesize_body()
 {
+	load_gnop
 	us=$(alloc_md)
 	for ss in 512 1024 2048 4096 8192; do
 		for sofs in `seq 0 512 ${ss}`; do
@@ -163,4 +167,11 @@ common_cleanup()
 		rm ${PLAINFILES}
 	fi
 	true
+}
+
+load_gnop()
+{
+	if ! kldstat -q -m g_nop; then
+		geom nop load || atf_skip "could not load module for geom nop"
+	fi
 }



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?201712151710.vBFHApAi086155>